Security Enhanced Linux Reference Policy

# Layer: services

## Module: nscd

Interfaces

### Description:

Name service cache daemon

### Interfaces:

nscd_admin( domain , role )

##### Summary

All of the rules required to administrate an nscd environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the nscd domain.

nscd_domtrans( domain )

##### Summary

Execute NSCD in the nscd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

nscd_dontaudit_search_pid( domain )

##### Summary

Do not audit attempts to search the NSCD pid directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_exec( domain )

##### Summary

Allow the specified domain to execute nscd in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_initrc_domtrans( domain )

##### Summary

Execute the nscd server init script.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_kill( domain )

##### Summary

Send NSCD the kill signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_read_pid( domain )

##### Summary

Read NSCD pid file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_run( domain , role )

##### Summary

Execute nscd in the nscd domain, and allow the specified role the nscd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access
role | The role to be allowed the nscd domain.

nscd_shm_use( domain )

##### Summary

Use NSCD services by mapping the database from an inherited NSCD file descriptor.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_signal( domain )

##### Summary

Send generic signals to NSCD.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_signull( domain )

##### Summary

Send signulls to NSCD.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_socket_use( domain )

##### Summary

Use NSCD services by connecting using a unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nscd_unconfined( domain )

##### Summary

Unconfined access to NSCD services.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return